
function prepareAndSendMail(sText,sSubject,sFrom,sTo,sHolidayName) {
	try {
		var oActualLanguage=Property.getProperty('/system/language/locale');
		if (Property.getProperty('langs/' + oActualLanguage)==null) {
			var oSubscripion=new Subscription('presence-simulator-translated-email-' + oActualLanguage,'javascript',
					{'filename1':'/www/pages/add-ons/system-addon-presence-simulator/locale/' + oActualLanguage + '/presence-simulator.js',
				     'filename2':'/usr/share/dss/add-ons/system-addon-presence-simulator/translated-mail.js','script_id':'system-addon-presence-simulator'});
			oSubscripion.subscribe();
			Property.setProperty('langs/' + oActualLanguage,true);
		}
		var sId="" + Math.random();
		Property.setProperty('sendMail/' + sId,true);
		
		lInfo.logln("sendEmail translated default with id " + sId);

		new Event('presence-simulator-translated-email-' + oActualLanguage,{body:sText,subject:sSubject,from:sFrom,to:sTo,id:sId,holidayName:sHolidayName}).raise();
		new Event('presence-simulator-translated-email-default',{body:sText,subject:sSubject,from:sFrom,to:sTo,id:sId,holidayName:sHolidayName,time:'+10'}).raise();
	} catch (e) {
		lWarn.logln(e);
	}
	
}
